/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for TargetConfirmation
 */
public enum EnumCM_TargetConfirmation 
{
	//CID 6066 Target Confirmation
	TARGET_CONTAINED_IN_THE_SPECIMEN("Target contained in the specimen"),
	TARGET_PARTIALLY_OBTAINED_IN_THE_SPECIMEN("Target partially obtained in the specimen"),
	TARGET_NOT_IN_THE_SPECIMEN("Target not in the specimen"),
	CALCIFICATIONS_SEEN_IN_THE_CORE("Calcifications seen in the core"),
	LESION_COMPLETELY_REMOVED("Lesion completely removed"),
	LESION_PARTIALLY_REMOVED("Lesion partially removed"),
	FLUID_OBTAINED("Fluid obtained");

	private String value;

	EnumCM_TargetConfirmation(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
